<template>
  <nav class="navigation">
    <router-link to="/" class="nav-link">Home</router-link> |
    <router-link to="/about" class="nav-link">About</router-link>
    <router-link
      :to="{ name: 'contacts' }"
      class="nav-link"
    >Інформація про предмети</router-link>
  </nav>
  <router-view />
</template>

<style lang="scss">
#app{
  
}

.navigation {
  padding: 30px;
  margin: 10px;
  background-color: #0a0a0a; 
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center; 

  .nav-link {
    font-weight: bold;
    color: #6784a0;
    text-decoration: none;
    margin-right: 10px;
    font-size: x-large;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
